%define short_name commons-pool

Name: jakarta-%short_name
Version: 1.3
Release: alt0.1
Summary: Jakarta Commons Pool Package
License: Apache Software License
Group: Development/Java
Source0: commons-pool-%version-dev.tar.bz2
Url: http://jakarta.apache.org/commons/pool/

BuildPreReq: /proc rpm-build-java
BuildRequires: ant jakarta-commons-collections
Requires: jakarta-commons-collections
BuildArch: noarch

%description
The goal of Pool package it to create and maintain an object
(instance) pooling package to be distributed under the ASF license.
The package should support a variety of pool implementations, but
encourage support of an interface that makes these implementations
interchangeable.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n pool
# remove all binary libs
# find . -name "*.jar" -exec rm -f {} \;
%__subst "/http:\/\/java.sun.com\/j2se\/1.4.2\/docs\/api/d" build.xml

%build
%__mkdir ./tmp

%set_classpath %_javadir/jakarta-commons-collections.jar

%ant_build \
	-Djava.io.tmpdir=. \
	-Dcommons-collections.jar=%_javadir/jakarta-commons-collections.jar \
	dist

%install
# jars
install -d -m 755 %buildroot%_javadir
install -m 644 dist/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
install -d -m 755 %buildroot%_javadocdir/%name
cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc README.txt LICENSE.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%changelog
* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.3-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Mon Sep 13 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Thu Jun 24 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.2-1jpp
- Update to 1.2 (tomcat 5.0.27 wants it)

* Mon Oct 27 2003 Henri Gomez <hgomez@users.sourceforge.net>  0:1.1-1jpp
- commons-pool 1.1

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.0.1-5jpp
- update for JPackage 1.5

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.1-4jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-3jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-2jpp
- fix missing packager tag

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-1jpp
- 1.0.1

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- override java.io.tmpdir to avoid build use /tmp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
